Subject: prwhod, version 1.2
From: [email-masked] (Peter Eriksson)
Date: Wed, 2 Mar 1994 00:03:21 GMT
Newsgroups: comp.os.linux.announce

I'd like to announce the availability of "prwhod" version 1.2,
a daemon for the "rwho" protocol with a couple of added features
compared to the vanilla 4.3BSD one.

Prwhod can be FTP'd from "ftp.lysator.liu.se" in the directory
"pub/daemons" as the file "prwhod-1.2.tar.gz".

Prwhod can be configured (using command line switches) so that it
can act as a data producer only (ie, it doesn't listen to incoming
"rwho" messages) and one can select between running it in broadcast
mode and directed mode (ie, send "rwho" data to a specific machine).

By using a combination of these two new features one can reduce the
network and machine load on big networks substantially. (Ie, designate
one machine as "rwhohost", run the Prwhod on that machine in
consumer-only mode, and run all the other machines Prwhod in
directed producer mode and send only to "rwhohost". Then one NFS-exports
rwhohost:/usr/spool/rwho to all the other machines (preferably using
an Automounter).

I'm running Prwhod on Linux (0.99.15), SunOS 4 and SunOS 5 (Solaris 2)
machines. It compiles on HP-UX 8 machines, but I haven't tested it there
yet.

/Peter <[email-masked]>